Package com.xebialabs.xlrelease.api.v1.filter

# Class TriggerFilters

java.lang.Object
com.xebialabs.xlrelease.api.v1.filter.TriggerFilters

public class TriggerFilters extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TriggerFilters()`
  `TriggerFilters(String triggerTitle, String templateTitle)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFolderId()`
  `String`
  `getFolderTitle()`
  `Boolean`
  `getNestedFolders()`
  `String`
  `getTemplateId()`
  `String`
  `getTemplateTitle()`
  `String`
  `getTriggerTitle()`
  `List<String>`
  `getTriggerType()`
  `void`
  `setFolderId(String folderId)`
  `void`
  `setFolderTitle(String folderTitle)`
  `void`
  `setNestedFolders(Boolean nestedFolders)`
  `void`
  `setTemplateId(String templateId)`
  `void`
  `setTemplateTitle(String templateTitle)`
  `void`
  `setTriggerTitle(String triggerTitle)`
  `void`
  `setTriggerType(List<String> triggerType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TriggerFilters

    public TriggerFilters()

  - ### TriggerFilters

    public TriggerFilters(String triggerTitle, String templateTitle)

- ## Method Details

  - ### getTriggerTitle

    public String getTriggerTitle()

  - ### setTriggerTitle

    public void setTriggerTitle(String triggerTitle)

  - ### getTemplateTitle

    public String getTemplateTitle()

  - ### setTemplateTitle

    public void setTemplateTitle(String templateTitle)

  - ### getFolderTitle

    public String getFolderTitle()

  - ### setFolderTitle

    public void setFolderTitle(String folderTitle)

  - ### getTriggerType

    public List<String> getTriggerType()

  - ### setTriggerType

    public void setTriggerType(List<String> triggerType)

  - ### getFolderId

    public String getFolderId()

  - ### setFolderId

    public void setFolderId(String folderId)

  - ### getTemplateId

    public String getTemplateId()

  - ### setTemplateId

    public void setTemplateId(String templateId)

  - ### getNestedFolders

    public Boolean getNestedFolders()

  - ### setNestedFolders

    public void setNestedFolders(Boolean nestedFolders)